﻿<UserControl xmlns="https://github.com/avaloniaui"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             x:Class="PracticaDiagnostico.Views.PageOrdenamientoView">

	<Grid Margin="20" ColumnDefinitions=".2*, .2*, .2*, .2*, .2*" RowDefinitions=".15*, .15*, .15*, .15*, .15*, .15*">
		<TextBlock Grid.Column="0" Grid.ColumnSpan="5" Grid.Row="0" FontSize="20">
			Realizar un ordenamiento de burbuja de Mayor a Menor del vector {23, 1, 5, 2, 98, 14, 76, 98, 104, 3, 9}
		</TextBlock>

		<Button Margin="10" Grid.Column="0" Grid.Row="1" Content="Cargar Valores Default" Command="{Binding OnLoadDefaultItemsClick}"/>

		<Button Margin="10" Grid.Column="0" Grid.Row="2" Content="Limpiar Lista" Command="{Binding OnClearItemsClick}"/>

		<Button Margin="10" Grid.Column="0" Grid.Row="3" Content="Agregar Numero" IsEnabled="{Binding InputEnabled}" Command="{Binding OnAddItemClick}"/>

		<TextBox Margin="10" Grid.Column="0" Grid.Row="4"  FontSize="14" Watermark="Ingresar Número" Text="{Binding InputNumber, Mode=TwoWay}" />

		<Button Margin="10" Grid.Column="0" Grid.Row="5" Content="Calcular" Command="{Binding OnCalculateClick}"/>

		<ListBox Margin="10" Grid.Column="1" Grid.Row="1" Grid.RowSpan="5" Items="{Binding ListBoxItems}"/>

		<StackPanel Margin="10"  Grid.Column="2" Grid.Row="1" Grid.RowSpan="5" IsVisible="{Binding ShowResult}">
			<TextBlock FontSize="20">Resultados:</TextBlock>
			<ListBox Margin="10" Grid.Column="1" Grid.Row="1" Grid.RowSpan="5" Items="{Binding SortedList}"/>
			<StackPanel Orientation="Horizontal">
				<TextBlock FontSize="20">Cantidad de intercambios: </TextBlock>
				<TextBlock FontSize="20" Text="{Binding Exchanges}" />
			</StackPanel>

		</StackPanel>
	</Grid>
</UserControl>
